当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决][问题]Ubuntu8.04下使用ATi 2XXX/3XXX显卡
帖子发表于 : 2008-04-30 20:01 

注册: 2007-11-10 14:29
帖子: 110
送出感谢: 1
接收感谢: 1
自己机子的配置:
AMD 5000+(黑盒)
ATi HD3850 512MB/256Bit

在Ubuntu8.04下,安装ATi 官方驱动导致桌面无法加载,直接白屏,怎么办?

退一步讲,谁知道如何在Linux 命令行下卸载显卡驱动程序?虽说原来的Mesa通用驱动压根发挥你不出来3850的潜力,可至少正常使用啊~~

不胜感谢!

方法:
以下是zhizunbao的文章,我针对UBUNTU8.04和催化剂8.4驱动,做了一下小的改动
步骤相对7.11省略很多,无需编译内核模块,附修改后的compiz,以供参考。
建议纯净系统安装,这样如果确定显卡在支持范围的话,应该可以100%成功
另外,桌面环境建议使用GNOME,个人测试认为KDE环境下开3D不是很稳定,还有Ubuntu Studio的rt内核是不支持编译驱动的,想要装驱动就用GNOME版本的。个人意见
1。下载地址
http://drivers.mydrivers.com/drivers/212-84915-ATI-Radeon-Mobility-FireGL-8.4-For-Linux-x86-x64/
一般都放在主目录下,省得定义路径。
2。支持列表
工作站产品
引用:
引用:
FireGL™ V8650
FireGL™ V8600
FireGL™ V7600
FireGL™ V7350
FireGL™ V7300
FireGL™ V7200
FireGL™ V7100
FireGL™ V5600
FireGL™ V5200
FireGL™ V5100
FireGL™ V5000
FireGL HD3870
FireGL HD3850
FireGL™ V3600
FireGL™ V3400
FireGL™ V3300
FireGL™ V3200
FireGL™ V3100
FireGL™ X3-256
FireGL™ X3
FireGL™ X2-256
FireGL™ Z1-128
FireGL™ T2-128
FireGL™ X1-128
FireGL™ X1-256p
FireMV™ 2200 (Single card PCI-e configuration)
Mobility™ FireGL™ V5000
Mobility™ FireGL™ T2

移动及整合产品
引用:
引用:
Mobility™ Radeon™ X1800
Mobility™ Radeon™ X1600
Mobility™ Radeon™ X1400
Mobility™ Radeon™ X1300
Mobility™ Radeon™ X1200
Mobility™ Radeon™ X1100
Mobility™ Radeon™ X800
Mobility™ Radeon™ X700
Mobility™ Radeon™ X600
Mobility™ Radeon™ X300
Mobility™ Radeon™ X200
Mobility™ Radeon™ 9800
Mobility™ Radeon™ 9600
Mobility™ Radeon™ 9550
Mobility™ Radeon™ 9500
Mobility™ Radeon™ Xpress 1200 series
Mobility™ Radeon™ Xpress 1100 series
Mobility™ Radeon™ Xpress 200 series

桌面及整合产品
引用:
[/quote]Radeon™ HD 2900 series
Radeon™ HD 2600 series
Radeon™ HD 2400 series
Radeon™ X1900 series
Radeon™ X1800 series
Radeon™ X1600 series
Radeon™ X1300 series
Radeon™ X850 series
Radeon™ X800 series
Radeon™ X700 series
Radeon™ X600 series
Radeon™ X550/X300 series
Radeon™ 9800 series
Radeon™ 9700 series
Radeon™ 9600 series
Radeon™ 9550 series
Radeon™ 9500 series
Radeon™ Xpress1200 series
Radeon™ Xpress 1100 series
Radeon™ Xpress 200 series
[quote]
注意:8.42.3是最后一个支持2.4内核的驱动。
3。安装编译所需要的包
代码:
代码:
sudo apt-get update
sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-generic dkms -y

4。卸载旧的fglrx
在新立得中把含有fglrx的软件包全部删除
5。生成.deb包
代码:
代码:
sudo bash ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu/hardy


耐心等待有四个deb包生成,共14.2MB。
6。将旧的fglrx模块从受限模块中列入黑名单:
GNOME用户输入:
代码:
gksu gedit /etc/default/linux-restricted-modules-common

KDE用户输入:
代码:
kdesu kate /etc/default/linux-restricted-modules-common

将 "DISABLED_MODULES" 改为DISABLED_MODULES="fglrx",也就是自己在双引号中输入fglrx即可,保存退出。
7。移除旧的fglrx包:
代码:
sudo rm /usr/src/fglrx-kernel*.deb

如果提示找不到文件,没关系,继续。
8。安装生成的.deb包
代码:
sudo dpkg -i xorg-driver-fglrx_8.476-0ubuntu1_i386.deb fglrx-kernel-source_8.476-0ubuntu1_i386.deb fglrx-amdcccle_8.476-0ubuntu1_i386.deb

遇到询问是否更新compiz-manager,选择N就行了。
然后再执行:
代码:
sudo apt-get install -f

9。重启电脑,选择UBUNTU8.04(RECOVERY MODE),就是命令行界面阿,加载完毕后选择ROOT,运行以下命令:
代码:
代码:
sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv
exit

选择RESUME,进入正常登录界面

10。~看看你的人品怎么样~正常显示了么?

注意不要去改动“受限驱动管理器”,这时会自动启用新驱动。
检测驱动是否成功安装的命令及我的返回值:
代码:
glxinfo |grep -e 'direct' -e 'OpenGL'

引用:
direct rendering: Yes
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7415 Release
OpenGL extensions:


代码:
fglrxinfo

引用:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3850
OpenGL version string: 2.1.7415 Release


代码:
glxgears

引用:
63315 frames in 5.0 seconds = 12662.957 FPS
65340 frames in 5.0 seconds = 13067.971 FPS
62548 frames in 5.0 seconds = 12509.510 FPS


代码:
fgl_glxgears

引用:
Using GLX_SGIX_pbuffer
13062 frames in 5.0 seconds = 2612.400 FPS
15299 frames in 5.0 seconds = 3059.800 FPS
15262 frames in 5.0 seconds = 3052.400 FPS


最后由 02015678 编辑于 2008-05-01 20:23,总共编辑了 2 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-30 20:04 
头像

注册: 2008-02-01 0:09
帖子: 204
地址: 荔枝之乡
送出感谢: 0 次
接收感谢: 0 次
要是我的是3850就好了。。。


_________________
随便吧,反正都是个性签名!
------------------
AMD64 5000+
HA03
Kingmax ddr2 800 6G
HD5670
显示器T190


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [已解决][问题]Ubuntu8.04下使用ATi 2XXX/3XXX显卡
帖子发表于 : 2008-11-02 13:20 

注册: 2008-11-02 13:04
帖子: 60
送出感谢: 0 次
接收感谢: 0 次
我的HD3580也不晓得怎么开驱动阿,都试了N遍,N遍的不行,........
注定与3D无缘。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Bing [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译